Bug 982505 - [Doc Bug Fix] Editing interface attributes through CLI example may be wrong
[Doc Bug Fix] Editing interface attributes through CLI example may be wrong
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: ER6
: EAP 6.3.0
Assigned To: Russell Dickenson
Russell Dickenson
: Documentation, EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 04:19 EDT by Richard Janík
Modified: 2014-08-14 11:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:40:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Janík 2013-07-09 04:19:23 EDT
Document URL: 

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.1/html/Administration_and_Configuration_Guide/chap-Network_and_Port_Configuration.html


Section Number and Name: 

5.1.2. Configure Interfaces
  -> Configure Interface Attributes with the Management CLI
  -> Edit Interface Attributes


Describe the issue: 

The given example (/interface=interfacename/:write(inet-address=12.0.0.8)) doesn't work for me with EAP 6.1.0. It ends with:

Failed to get the list of the operation properties: "JBAS014753: There is no operation write registered at address [("interface" => "interfacename")]"


Suggestions for improvement: 

This command:

/interface=interfacename/:write-attribute(name=inet-address, value=12.0.0.8)

does the job the current example should do. Consider replacing the example and rewording the "Edit Interface Attributes" section. I don't have much experience with the CLI though, so maybe the example _should_ work.
Comment 1 Richard Janík 2013-07-09 04:58:19 EDT
Just a note,
section "5.2.2. Configure Socket Bindings" uses a similar example with write-attribute operation.
Comment 5 Russell Dickenson 2014-05-22 21:29:25 EDT
As per the description, the following command is correct:

"/interface=interfacename/:write-attribute(name=inet-address, value=12.0.0.8)"

I tested this with the EAP 6.3.0 Beta build.

The amended text will be available for verification in revision 6.3.0-18 (or higher) of the Admin & Config Guide at [1] when the book is next rebuilt.


[1] http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#Configure_interfaces
Comment 6 Russell Dickenson 2014-06-06 00:19:04 EDT
Content spec changed: 22508
Topic(s) changed: 5524

The amended text is now available for verification at [1] as follows:

Document: Administration and Configuration Guide
Revision: 6.3.0-21 (or higher)

Changes made:

I corrected the text to the following, after testing it on the EAP 6.3.0 Beta build.
"/interface=interfacename/:write-attribute(name=inet-address, value=12.0.0.8)"

[1] http://docbuilder.usersys.redhat.com/22508/#Configure_interfaces
Comment 7 Richard Janík 2014-06-09 11:19:39 EDT
Fix is present in the linked document above. Verified.

Note You need to log in before you can comment on or make changes to this bug.